Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.quadtree
Class QuadTreeLeaf

    java.lang.Object
      com.bbn.openmap.util.quadtree.QuadTreeLeaf

All Implemented Interfaces:
  java.io.Serializable

public class QuadTreeLeaf
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`float` | `latitude`
`float` | `longitude`
`java.lang.Object` | `object`

Constructor Summary
`QuadTreeLeaf(float lat, float lon, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### latitude

    public float latitude

### longitude

    public float longitude

### object

    public java.lang.Object object

Constructor Detail

### QuadTreeLeaf

    public QuadTreeLeaf(float lat,
                        float lon,
                        java.lang.Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details